#include <iostream>

using namespace std;

int main()
{
    long long int trazenaSuma;
    cin >> trazenaSuma;
    int brojacNovcanica = 0, trenutnaCifra;

    while(trazenaSuma > 0)
    {
        trenutnaCifra = trazenaSuma % 10;

        while(trenutnaCifra > 0)
        {
            if(trenutnaCifra >= 5)
            {
                trenutnaCifra = trenutnaCifra - 5;

                brojacNovcanica++;
            }
            else if(trenutnaCifra >= 2)
            {
                trenutnaCifra = trenutnaCifra - 2;

                brojacNovcanica++;
            }
            else
            {
                trenutnaCifra = trenutnaCifra - 1;

                brojacNovcanica++;
            }
        }
        trazenaSuma = trazenaSuma / 10;
    }

    cout << brojacNovcanica;

    return 0;
}